Autor Tema: Error al instalar Kolla 3.4.1  (Leído 747 veces)

0 Usuarios y 1 Visitante están viendo este tema.

acabeza

  • Jr. Member
  • **
  • Mensajes: 51
    • Ver Perfil
  • Institución: Facultad de Ciencias Humanas - UNICEN
  • Nombre y apellido: Argelia Soledad Cabeza
  • Sistema: SIU-Guaraní, SIU-Kolla
  • Teléfono laboral: 249 4439751-4439757
Error al instalar Kolla 3.4.1
« on: Febrero 25, 2014, 02:25:45 pm »
Postgres: 8.3
PHP: 5.3.14

En el paso 4 "Base de datos" durante la instalación emite el siguiente error:
 
[DEBUG] Accion: "Instalación"
[DEBUG] Procesando paso "Base de datos"
[DEBUG] Parametros: array (
  'profile' => 'localhost',
  'puerto' => '5432',
  'usuario' => 'userpostgres',
  'clave' => '******',
  'usuario_aplicacion' => 'kolla',
  'rol_aplicacion' => 'siu',
  'clave_aplicacion' => '******',
  'base' => 'PRUEBA_Kolla341',
)
[DEBUG] [CAMBIO][319] Cambio 319: datos iniciales del sistema...
[ERROR] carga: ERROR: problemas ejecutando el cambio 319.

SQLSTATE[42501]: Insufficient privilege: 7 ERROR:  permission denied for schema kolla
CONTEXT:  SQL statement "SELECT 1 FROM ONLY "kolla"."mug_continentes" x WHERE "continente" OPERATOR(pg_catalog.=) $1 FOR SHARE OF x"

Por favor genere el diagnóstico y envíelo por correo electrónico.
[ERROR] Exception: ERROR: problemas ejecutando el cambio 319.

SQLSTATE[42501]: Insufficient privilege: 7 ERROR:  permission denied for schema kolla
CONTEXT:  SQL statement "SELECT 1 FROM ONLY "kolla"."mug_continentes" x WHERE "continente" OPERATOR(pg_catalog.=) $1 FOR SHARE OF x"

Por favor genere el diagnóstico y envíelo por correo electrónico.

[TRAZA]<div style='display:none'>exception 'Exception' with message 'ERROR: problemas ejecutando el cambio 319.

SQLSTATE[42501]: Insufficient privilege: 7 ERROR:  permission denied for schema kolla
CONTEXT:  SQL statement "SELECT 1 FROM ONLY "kolla"."mug_continentes" x WHERE "continente" OPERATOR(pg_catalog.=) $1 FOR SHARE OF x"

Por favor genere el diagnóstico y envíelo por correo electrónico.' in C:\Archivos de programa\Apache Software Foundation\Apache2.2\htdocs\instalador_kolla\3.4.1\proyectos\kolla\aplicacion\php\modelo\conversion\conversor.php:209
Stack trace:
#0 C:\Archivos de programa\Apache Software Foundation\Apache2.2\htdocs\instalador_kolla\3.4.1\proyectos\kolla\aplicacion\php\modelo\conversion\conversor.php(266): conversor->ejecutar_cambio('319')
#1 C:\Archivos de programa\Apache Software Foundation\Apache2.2\htdocs\instalador_kolla\3.4.1\proyectos\kolla\aplicacion\php\modelo\conversion\kolla_manejador_instalacion.php(20): conversor->convertir(NULL, Array, true)
#2 C:\Archivos de programa\Apache Software Foundation\Apache2.2\htdocs\instalador_kolla\3.4.1\acciones\instalar\pasos\paso_instalar_bases.php(286): kolla_manejador_instalacion->crear_negocio('3.4.1', NULL)
#3 C:\Archivos de programa\Apache Software Foundation\Apache2.2\htdocs\instalador_kolla\3.4.1\acciones\instalar\pasos\paso_instalar_bases.php(88): paso_instalar_bases->crear_negocio()
#4 C:\Archivos de programa\Apache Software Foundation\Apache2.2\htdocs\instalador_kolla\3.4.1\acciones\instalar\pasos\paso_instalar_bases.php(47): paso_instalar_bases->procesar_bases_datos()
#5 C:\Archivos de progra
 (...continua...)

podría ser que falte asignarle los permisos al schema mediante el instalador, o alguna otra sugerencia?

Gracias, Soledad.

M Clara Casalini

  • Moderador Global
  • *****
  • Mensajes: 832
    • Ver Perfil
  • Institución: SIU
  • Nombre y apellido: M. Clara Casalini
  • Sistema: Kolla
  • Teléfono laboral: -sin teléfono actualmente-
Re:Error al instalar Kolla 3.4.1
« Respuesta #1 on: Febrero 26, 2014, 10:09:10 am »
Hola Soledad,
puede ocurrir que el usuario de aplicación que le indicaron en ese paso no tenga permisos suficientes. ¿Era un usuario existente?
¿Podes probar dandole un usuario nuevo? de esa manera se va a crear con los permisos necesarios.

Saludos.

M Clara Casalini

  • Moderador Global
  • *****
  • Mensajes: 832
    • Ver Perfil
  • Institución: SIU
  • Nombre y apellido: M. Clara Casalini
  • Sistema: Kolla
  • Teléfono laboral: -sin teléfono actualmente-
Re:Error al instalar Kolla 3.4.1
« Respuesta #2 on: Febrero 26, 2014, 12:25:36 pm »
Hola Soledad,
se me pasó por alto antes que están utilizando Postgres 8.3, y deberían estar en 8.4 como mínimo. Les recomiendo actualizar la versión.

Saludos.

acabeza

  • Jr. Member
  • **
  • Mensajes: 51
    • Ver Perfil
  • Institución: Facultad de Ciencias Humanas - UNICEN
  • Nombre y apellido: Argelia Soledad Cabeza
  • Sistema: SIU-Guaraní, SIU-Kolla
  • Teléfono laboral: 249 4439751-4439757
Re:Error al instalar Kolla 3.4.1
« Respuesta #3 on: Febrero 27, 2014, 11:45:29 am »
Utilizando postgres 8.4  instalé Kolla 3.4.1 sin problemas.
Muchas gracias, Soledad

M Clara Casalini

  • Moderador Global
  • *****
  • Mensajes: 832
    • Ver Perfil
  • Institución: SIU
  • Nombre y apellido: M. Clara Casalini
  • Sistema: Kolla
  • Teléfono laboral: -sin teléfono actualmente-
Re:Error al instalar Kolla 3.4.1
« Respuesta #4 on: Febrero 27, 2014, 01:14:26 pm »
Buenisimo Soledad.
Saludos.